<div ng-controller="BuscarOrdenes" ng-cloak ng-init="init()">
    <nav class="navbar navbar-inverse none" role="navigation">
        <div class="container-fluid">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" ng-init="Navbar1 = true" ng-click="Navbar1 = !Navbar1">
                    <span class="sr-only">
                        Toggle navigation
                    </span>
                    <span class="icon-bar">
                    </span>
                    <span class="icon-bar">
                    </span>
                    <span class="icon-bar">
                    </span>
                </button>
                <a class="navbar-brand" href="javascript:void(0)">
                <img alt="Usuario" height="100%" src="files/images/favicon.png">
                </a>
            </div>
            <div class="collapse navbar-collapse" ng-class="!Navbar1 && 'in'">
                <ul class="nav navbar-nav navbar-left">
                    <li ng-click="goToInicio()" ng-show="showMenu(&quot;Inicio&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Inicio</a>
                    </li>
                    <li ng-click="goToMapa()" ng-show="showMenu(&quot;Mapa&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Mapa</a>
                    </li>
                    <li ng-show="showMenu(&quot;Ordenes&quot;)" uib-dropdown class="dropdown  ">
                        <a href="javascript:void(0)" class="dropdown-toggle" data-toggle="dropdown" uib-dropdown-toggle>Ordenes <span class="caret"></span></a>
                        <ul class="dropdown-menu" role="menu" uib-dropdown-menu>
                            <li class="">
                                <a href="" ng-click="goToBuscarOrdenes()" ng-show="showMenu(&quot;Buscar&quot;)">Buscar</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToCargarOrdenes()" ng-show="showMenu(&quot;Cargar&quot;)">Cargar</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToDiistribucionOrdenes()" ng-show="showMenu(&quot;Distribución&quot;)">Distribucion</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToEstadoActualOrdenes()" ng-show="showMenu(&quot;Estado Actual&quot;)">Estado Actual</a>
                            </li>
                        </ul>
                    </li>
                    <li ng-click="goToUsuarios()" ng-show="showMenu(&quot;Usuarios&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Usuarios</a>
                    </li>
                    <li ng-click="goToEmpresa()" ng-show="showMenu(&quot;Empresa&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Empresa</a>
                    </li>
                    <li ng-click="goToMiCuenta()" ng-show="showMenu(&quot;Mi cuenta&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Mi Cuenta</a>
                    </li>
                </ul>
                <button ng-click="salir(true)" ng-show="showMenu(&quot;Salir&quot;)" class="btn btn-danger navbar-btn navbar-right"
                type="button">
                    <span class="ion ion-log-out" style="color: black;">
                    </span>
                    Salir
                </button>
            </div>
        </div>
    </nav>
    <div class="table-responsive">
        <table class="table table-striped table-condensed">
            <tr class="info">
                <td class="info" width="200">
                    Código Orden
                    <input type="text" value="" placeholder="Código de Orden" id="inputBuscar" ng-model="codigoBuscar"
                    class="form-control" name="">
                </td>
                <td class="info" width="200">
                    Fecha Asignación
                    <input type="date" value="" placeholder="Enter text" ng-model="fechaBuscar" class="form-control"
                    name="">
                </td>
                <td class="info">
                    Marca
                    <select class="form-control" ng-model="marcaBuscar">
                        <option value="SAMS">
                            SAMSUNG
                        </option>
                        <option value="0" selected="true" selected>
                            -- TODAS --
                        </option>
                    </select>
                </td>
                <td>
                    Estado
                    <select class="form-control" ng-model="estadoBuscar">
                        <option value="{{item.codigo}}" ng-repeat="item in stateList">
                            {{item.estado}}
                        </option>
                        <option value="0" selected="true" selected>
                            -- TODAS --
                        </option>
                    </select>
                </td>
                <td>
                    Ingeniero
                    <select class="form-control" ng-model="operadorBuscar">
                        <option value="{{item.codigo}}" ng-repeat="item in mOperators">
                            {{item.nombre}}
                        </option>
                        <option value="0" selected="true" selected>
                            -- TODOS --
                        </option>
                    </select>
                </td>
            </tr>
        </table>
    </div>
    <table class="table">
        <tr>
            <td width="150">
                <button ng-click="buscarOrdenes()" class="btn btn-primary" type="button">
                    <span class="ion ion-search" style="color: black;">
                    </span>
                    Buscar
                </button>
            </td>
            <td width="150" ng-hide="config.config.pageComponents.hideMaps">
                <button ng-click="mostrarMapaEnPantalla()" class="btn btn-default" type="button">
                    <span class="ion ion-map" style="color: black;">
                    </span>
                    {{textoBotnVerMapa}}
                </button>
            </td>
            <td width="200">
                <button ng-click="descargar()" class="btn btn-default" type="button">
                    <span class="ion ion-archive" style="color: black;">
                    </span>
                    Descargar Datos Excel
                </button>
            </td>
            <td>
                <!-- bootstraptablecol -->
                <h4>
                    Ordenes Recuperadas: {{ordenesTotal}} (Máximo registros a desplegar {{maxDispOrder}})
                </h4>
            </td>
            <td ng-show="finCargaNube">
            </td>
        </tr>
    </table>
    <table class="table table-bordered">
        <tr>
            <td ng-show="mostrarMapa">
                <div class="aio-google-map mymap">
                    <ui-gmap-google-map center="{latitude:-33.502113, longitude:-70.693409}" zoom="11"
                    pan="false">
                        <ui-gmap-marker coords="marker" idKey="marker.id" ng-repeat="marker in markers">
                            <ui-gmap-window coords="{latitude: '40.1451', longitude: '-99.6680'}">
                                <div>
                                    {{marker.title}}
                                </div>
                            </ui-gmap-window>
                        </ui-gmap-marker>
                    </ui-gmap-google-map>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <div class="table-responsive">
                    <table class="table table-bordered table-hover table-striped table-condensed" id="dataTable">
                        <tr class="info">
                            <th class=" success" ng-hide="true">
                                Marca
                            </th>
                            <th class=" success">
                                Orden
                            </th>
                            <th class=" success">
                                Cliente
                                <div>
                                    <nobr>
                                    </nobr>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    </nobr>
                                </div>
                            </th>
                            <th class=" success">
                                Fecha Asignación
                            </th>
                            <th class=" success">
                                Comuna
                            </th>
                            <th class=" success">
                                Operador
                                <div>
                                    <nobr>
                                    </nobr>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    </nobr>
                                </div>
                            </th>
                            <th class=" success">
                                Tipo Orden
                            </th>
                            <th class=" success">
                                Fecha Compra
                            </th>
                            <th class=" ">
                                Estado
                            </th>
                            <th class=" ">
                            </th>
                        </tr>
                        <tr ng-repeat="item in orders">
                            <td ng-hide="true">
                            </td>
                            <td>
                                {{item.codigo}}
                            </td>
                            <td>
                                {{item.cliente}}
                            </td>
                            <td>
                                {{item.fechaAsignacion}}
                            </td>
                            <td class="text-{{item.colorExistePosGPS}}">
                                {{item.comuna}}
                                <!-- bootstraptablecol -->
                                <p ng-hide="config.config.pageComponents.hideMaps">
                                    {{item.msgNoPosGPS}}
                                </p>
                            </td>
                            <td>
                                {{item.ingeniero}}
                            </td>
                            <td>
                                {{item.formType}} - {{item.formSubType}}
                            </td>
                            <td>
                                {{item.fechaCompra}}
                            </td>
                            <td class="text-{{item.color}}">
                                {{item.estado}}
                            </td>
                            <td>
                                <button ng-click="verFicha(item._id)" class="btn btn-default btn-lg" type="button">
                                    <span class="ion ion-ios-search" style="color: black;">
                                    </span>
                                </button>
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
    </table>
</div>